org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.Update

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
    - - org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SchemaRequest.AddCopyField, SchemaRequest.AddDynamicField, SchemaRequest.AddField, SchemaRequest.AddFieldType, SchemaRequest.DeleteCopyField, SchemaRequest.DeleteDynamicField, SchemaRequest.DeleteField, SchemaRequest.DeleteFieldType, SchemaRequest.MultiUpdate, SchemaRequest.ReplaceDynamicField, SchemaRequest.ReplaceField, SchemaRequest.ReplaceFieldType
  Enclosing class:
    SchemaRequest

      public abstract static class SchemaRequest.Update
      extends AbstractSchemaRequest<SchemaResponse.UpdateResponse>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Update()`
    `Update(SolrParams q)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SchemaResponse.UpdateResponse` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
    `Collection<ContentStream>` | `getContentStreams()`
    `protected abstract NamedList<Object>` | `getRequestParameters()`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

      `getParams`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Update

          public Update()

    - #### Update

          public Update(SolrParams q)

  - ### Method Detail

    - #### getRequestParameters

          protected abstract NamedList<Object> getRequestParameters()

    - #### getContentStreams

          public Collection<ContentStream> getContentStreams()
                                                      throws IOException

      Overrides:
        `getContentStreams` in class `AbstractSchemaRequest<SchemaResponse.UpdateResponse>`
      Throws:
        `IOException`

    - #### createResponse

          protected SchemaResponse.UpdateResponse createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `SolrRequest<SchemaResponse.UpdateResponse>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.